version: '3.7'

services:
    node:
        build: ./node

        volumes:
            - front_ogure:/static

    db:
        image: postgres:13.3-alpine
        container_name: ogure_db
        expose:
            - 5432
        volumes:
            - db_ogure:/var/lib/postgresql/data/
        env_file:
            - .env.db

    backend-django:
        build: .
        volumes:
            - staticfiles:/staticfiles
        env_file:
            - .env
        ports:
            - "8001:8000"
        depends_on: 
            - db

    nginx:
        build: ./nginx
        volumes:
            - staticfiles:/staticfiles
            - front_ogure:/node
        ports:
            - "80:80"
        depends_on: 
            - backend-django
            - node

volumes:
    staticfiles:
    db_ogure:
    front_ogure:
